Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.morfologik
Class MorfologikFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.morfologik.MorfologikFilterFactory

    public class MorfologikFilterFactory

extends TokenFilterFactory

Filter factory for `MorfologikFilter`.

     <fieldType name="text_polish" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.MorfologikFilterFactory" dictionary="MORFOLOGIK" />
       </analyzer>
     </fieldType>

Any of Morfologik dictionaries can be used, these are at the moment: `MORFOLOGIK` (Morfologik's original dictionary), `MORFEUSZ` (Morfeusz-SIAT), `COMBINED` (both of the dictionaries above, combined).

See Also:
  Morfologik web site

Field Summary
`static String` | `DICTIONARY_SCHEMA_ATTRIBUTE` Schema attribute.

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`MorfologikFilterFactory(Map<String,String> args)` Creates a new MorfologikFilterFactory

Method Summary
`TokenStream` | `create(TokenStream ts)`

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DICTIONARY_SCHEMA_ATTRIBUTE

    public static final String DICTIONARY_SCHEMA_ATTRIBUTE

  Schema attribute.

  See Also:
    Constant Field Values

Constructor Detail

### MorfologikFilterFactory

    public MorfologikFilterFactory(Map<String,String> args)

  Creates a new MorfologikFilterFactory

Method Detail

### create

    public TokenStream create(TokenStream ts)

  Specified by:
    `create` in class `TokenFilterFactory`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.